Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-20302

Set Default Version Policy to 'Mixed' for Maven Proxy Repositories

    Details

    • Type: Improvement
    • Status: New
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 3.16.2
    • Fix Version/s: None
    • Component/s: Maven
    • Labels:
    • Notability:
      4

      Description

      Currently, the default version policy for Maven (proxy) repositories is set to 'Release' and it has been observed that when creating a proxy repository, users may accept the default instead of selecting the correct policy to match the remote.

      In such a scenario, if the remote is actually a SNAPSHOT repository and a request is made for a snapshot artifact's metadata, it will result in failure. Furthermore, to resolve the issue the user will need to recreate the proxy repository with the correct version policy.

      To prevent users from making this error and improve UX (in the case where they simply may not know the remote type) the default version policy should be set to 'Mixed'.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            hardeepn Hardeep Nagra
            Last Updated By:
            Hardeep Nagra Hardeep Nagra
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Date of First Response:

                tigCommentSecurity.panel-title